net.minecraft.network.play.client

## Class C08PacketPlayerBlockPlacement

- java.lang.Object
- - net.minecraft.network.Packet
  - - net.minecraft.network.play.client.C08PacketPlayerBlockPlacement

-     public class C08PacketPlayerBlockPlacement
      extends Packet

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `C08PacketPlayerBlockPlacement()`
    `C08PacketPlayerBlockPlacement(int p_i45265_1_, int p_i45265_2_, int p_i45265_3_, int p_i45265_4_, ItemStack p_i45265_5_, float p_i45265_6_, float p_i45265_7_, float p_i45265_8_)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `func_149568_f()`
    `float` | `func_149569_i()`
    `int` | `func_149570_e()`
    `int` | `func_149571_d()`
    `float` | `func_149573_h()`
    `ItemStack` | `func_149574_g()`
    `float` | `func_149575_j()`
    `int` | `func_149576_c()`
    `void` | `processPacket(INetHandler p_148833_1_)`
    `void` | `processPacket(INetHandlerPlayServer p_149572_1_)`
    `void` | `readPacketData(PacketBuffer p_148837_1_)`
    `void` | `writePacketData(PacketBuffer p_148840_1_)`

    - ### Methods inherited from class net.minecraft.network.Packet

      `generatePacket, hasPriority, readBlob, serialize, toString, writeBlob`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### C08PacketPlayerBlockPlacement

          public C08PacketPlayerBlockPlacement()

    - #### C08PacketPlayerBlockPlacement

          public C08PacketPlayerBlockPlacement(int p_i45265_1_,
                                       int p_i45265_2_,
                                       int p_i45265_3_,
                                       int p_i45265_4_,
                                       ItemStack p_i45265_5_,
                                       float p_i45265_6_,
                                       float p_i45265_7_,
                                       float p_i45265_8_)

  - ### Method Detail

    - #### readPacketData

          public void readPacketData(PacketBuffer p_148837_1_)
                              throws java.io.IOException

      Specified by:
        `readPacketData` in class `Packet`
      Throws:
        `java.io.IOException`

    - #### writePacketData

          public void writePacketData(PacketBuffer p_148840_1_)
                               throws java.io.IOException

      Specified by:
        `writePacketData` in class `Packet`
      Throws:
        `java.io.IOException`

    - #### processPacket

          public void processPacket(INetHandlerPlayServer p_149572_1_)

    - #### func_149576_c

          public int func_149576_c()

    - #### func_149571_d

          public int func_149571_d()

    - #### func_149570_e

          public int func_149570_e()

    - #### func_149568_f

          public int func_149568_f()

    - #### func_149574_g

          public ItemStack func_149574_g()

    - #### func_149573_h

          public float func_149573_h()

    - #### func_149569_i

          public float func_149569_i()

    - #### func_149575_j

          public float func_149575_j()

    - #### processPacket

          public void processPacket(INetHandler p_148833_1_)

      Specified by:
        `processPacket` in class `Packet`